# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectModelEntities Class Reference

A SelectModelEntities gets all the Entities of an
InterfaceModel.
.

`#include <IFSelect_SelectModelEntities.hxx>`

Inheritance diagram for IFSelect_SelectModelEntities:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectModelEntities ()
| Creates a SelectModelRoot .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities : the Entities of the Model (note that this result assures naturally uniqueness) .
virtual Standard_EXPORT Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| The complete list of Entities (including shared ones) ... is exactly identical to RootResults in this case .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Model Entities" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectModelEntities::IFSelect_SelectModelEntities | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Interface_EntityIterator IFSelect_SelectModelEntities::CompleteResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Reimplemented from IFSelect_Selection.

Standard_EXPORT const IFSelect_SelectModelEntities::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectBase.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectModelEntities::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectModelEntities::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectModelEntities.hxx